Bug 198764 - [PATCH] www/elinks: Make EGD conditional/Fix build with LibreSSL
Summary: [PATCH] www/elinks: Make EGD conditional/Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernard Spil
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-21 12:06 UTC by Bernard Spil
Modified: 2016-07-02 10:36 UTC (History)
3 users (show)

See Also:
beat: maintainer-feedback+


Attachments
svn diff for www/elinks (780.23 KB, patch)
2015-03-21 12:06 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log for www/elinks (80.69 KB, text/plain)
2015-03-21 12:06 UTC, Bernard Spil
no flags Details
svn diff for www/elinks (1.37 KB, patch)
2015-12-23 17:34 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-21 12:06:02 UTC
Created attachment 154618 [details]
svn diff for www/elinks

www/elinks unconditionally relies on RAND_egd which makes building fail with LibreSSL which has removed EGD. FreeBSD does not require EGD at all, /dev/random has been available since FreeBSD 4.2

This patch checks for the existence of RAND_egd in libcrypto and disables the code using egd.
Comment 1 Bernard Spil freebsd_committer 2015-03-21 12:06:27 UTC
Created attachment 154619 [details]
Poudriere build log for www/elinks
Comment 2 Beat Gaetzi freebsd_committer 2015-04-07 07:28:19 UTC
Approved but I can't commit as I'm traveling at the moment.
Comment 3 Jason Unovitch freebsd_committer 2015-09-06 03:16:55 UTC
Assign PR, submitter is now committer.
Comment 4 Bernard Spil freebsd_committer 2015-12-23 17:34:14 UTC
Created attachment 164561 [details]
svn diff for www/elinks

Minimize patch, configure patches no longer required
Comment 5 Bernard Spil freebsd_committer 2015-12-23 17:44:48 UTC
Comment on attachment 154619 [details]
Poudriere build log for www/elinks

New poudriere testport log here
https://brnrd.eu/poudriere/data/102amd64-svn/2015-12-23_18h32m01s/logs/elinks-0.11.7_5.log
Comment 6 Pierre Guinoiseau 2016-04-12 00:34:19 UTC
Can somebody please commit this patch?
Comment 7 commit-hook freebsd_committer 2016-07-02 10:36:08 UTC
A commit references this bug:

Author: brnrd
Date: Sat Jul  2 10:35:18 UTC 2016
New revision: 417921
URL: https://svnweb.freebsd.org/changeset/ports/417921

Log:
  www/elinks: Fix build without RAND_egd

    - Add patch for building without EGD (OpenSSL 1.1/LibreSSL)
    - Move from USE_OPENSSL to USES=ssl

  PR:		198764

Changes:
  head/www/elinks/Makefile
  head/www/elinks/files/patch-src_network_ssl_ssl.c